package cz.frantovo.springDemo1.dao;

import cz.frantovo.springDemo1.KnihaDAORemote;
import cz.frantovo.springDemo1.dto.Kniha;
import java.util.ArrayList;
import java.util.Collection;
import javax.annotation.Resource;
import javax.ejb.Stateless;
import javax.sql.DataSource;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.support.rowset.SqlRowSet;

/**
 *
 * @author fiki
 */
@Stateless
public class KnihaDAO implements KnihaDAORemote {

    @Resource(mappedName = "jdbc/sqlVyuka/piskoviste")
    private DataSource dataSource;

    public Collection<Kniha> getKnihy() {
	Collection<Kniha> vysledek = new ArrayList<Kniha>();

	JdbcTemplate t = new JdbcTemplate(dataSource);
	SqlRowSet rs = t.queryForRowSet("SELECT * FROM sbirka.kniha;");
	while (rs.next()) {
	    Kniha k = new Kniha();
	    k.setNazev(rs.getString("nazev"));
	    k.setAutor(rs.getInt("autor"));
	    k.setDatumAktualizace(rs.getDate("datum"));
	    k.setId(rs.getInt("id"));
	    k.setPocetStran(rs.getInt("pocet_stran"));
	    k.setRokVydani(rs.getInt("rok_vydani"));
	    vysledek.add(k);
	}

	return vysledek;
    }
}
